Register FPP Server
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers
Registers FPP server with Enterprise Manager along with necessary details required for performing database maintenance
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectInput to register the FPP server
Show Source
-
name(required): string
FPP server target name
-
properties(required): object
properties
FPP server properties to be registered
-
restUser(required):
CreateRestUserDetails
Details of REST user
-
schedule: object
Schedule
Schedule details
Nested Schema : properties
Type:
objectFPP server properties to be registered
Show Source
-
agentCredential(required): string
Named credential of the agent - CREDENTIAL:OWNER, where OWNER is optionalExample:
NC_DEV:ADMIN, NC_DEV -
restUrl(required): string
REST url to be registered with the FPP serverExample:
https://xyz.com:portnumber/em/api/fppServers
Nested Schema : CreateRestUserDetails
Type:
objectDetails of REST user
Show Source
-
password(required): string
(password)
Password to create the REST credential in EM, which is required to make a call to the FPP REST URLExample:
welcome1 -
username(required): string
REST username to be registered with the FPP server
Nested Schema : Schedule
Type:
objectSchedule details
Show Source
-
isTargetZone: boolean
To indicate if the time should be interpreted in the target timezone or not. If timezone is specified in time and isTargetZone is true, it will be reported as an ERROR condition
-
recurring: string
Frequency at which the operation must be executed repeatedlyExample:
frequency:weekly;days:2, -
scheduleType: string
Currently we support ICAL specification default is ICAL, in the future it can be extended to other types e.g CRON.
-
startGracePeriodInMinutes: integer
Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.Example:
60 -
timeToEnd: string
(date-time)
End time
-
timeToStart: string
(date-time)
Start time
Examples
Back to Top
Response
201 Response
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty